[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

pre-dependency for fetchmail, fetchmail-ssl



Hello guys,

As per policy, I am asking here about a pre-dependency I need.

I have split fetchmail / fetchmail-ssl in two packages, a fetchmail-common
and fetchmail-ssl / fetchmail.

I need to either enforce ordering of the postinst scripts, with
fetchmail-common running first, or make sure one postinst knows whether the
other has run or not (for that given package version).

The first one requires a pre-depends: fetchmail-common (= source-version);
the other one requires version-aware semasphores using debconf, which is a
damn hack IMHO and too fragile for my tastes.

Any other ideas? May I upload fetchmail-* 9.5.6-1 with the pre-dependency in
place?

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Reply to: